<?xml version="1.0" encoding="UTF-8"?>
<package kind='package' name='ti.sysbios.family.c62' nodoc='0' root='../../../../' summary='Contains+specifications+for+C6x+specific+SYS%2FBIOS+functions'>
    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Erequires%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2Fpackage.html%22+title%3D%22ti.sysbios.interfaces%22%3Eti.sysbios.interfaces%3C%2Fa%3E%3B'/>
    <line blank='1' always='0'/>
    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Epackage%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eti.sysbios.family.c62%3C%2Fspan%3E%3C%2Fgo%3E+%5B2%2C+0%2C+0%2C+0%5D+%7B'/>
    <line tab='0' content='%7D'/>
    <unit name='IntrinsicsSupport' kind='module' nodoc='1' metaonly='0' summary='' inherits='ti.sysbios.interfaces.IIntrinsicsSupport'>
        <synopSpec>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Epackage%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Ffamily%2Fc62%2Fpackage.html%22+title%3D%22ti.sysbios.family.c62%22%3Eti.sysbios.family.c62%3C%2Fa%3E%3B'/>
            <line blank='1' always='0'/>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport%3C%2Fspan%3E%3C%2Fgo%3E%3Cspan+class%3D%22xdoc-kw1%22%3E+inherits+%3C%2Fspan%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIIntrinsicsSupport.html%22+title%3D%22ti.sysbios.interfaces.IIntrinsicsSupport%22%3EIIntrinsicsSupport%3C%2Fa%3E+%7B'/>
            <line tab='0' content='%7D'/>
        </synopSpec>
        <specInfo>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport%3C%2Fspan%3E%3C%2Fgo%3E+%7B%3Cb%3E%26nbsp%3B%26nbsp%3B...%3C%2Fb%3E'/>
            <line tab='0' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIIntrinsicsSupport.html%22+title%3D%22ti.sysbios.interfaces.IIntrinsicsSupport%22%3Eti.sysbios.interfaces.IIntrinsicsSupport%3C%2Fa%3E'/>
            <line tab='1' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%22+title%3D%22xdc.runtime.IModule%22%3Exdc.runtime.IModule%3C%2Fa%3E'/>
        </specInfo>
        <synopMeta>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Evar%3C%2Fspan%3E+IntrinsicsSupport+%3D+%3Cspan+class%3D%22xdoc-kw3%22%3Exdc.useModule%3C%2Fspan%3E%28%3Cspan+class%3D%22xdoc-id%22%3E%27ti.sysbios.family.c62.IntrinsicsSupport%27%3C%2Fspan%3E%29%3B'/>
        </synopMeta>
        <synopTarg>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw3%22%3E%23include%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3E%26lt%3Bti%2Fsysbios%2Ffamily%2Fc62%2FIntrinsicsSupport.h%26gt%3B%3C%2Fspan%3E'/>
        </synopTarg>
        <group name='local proxy modules'>
        </group>
        <group name='module-wide constants &amp; types'>
            <decl spacer='1'/>
        </group>
        <group name='module-wide config parameters'>
            <decl spacer='1'/>
            <decl kind='config' name='configNameMap$' anchor='config.Name.Map$' altext='ti.sysbios.family.c62.IntrinsicsSupport.configNameMap$' nodoc='1' external='1' overrides='0' readonly='1' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23config.Name.Map%24%22+title%3D%22xdc.runtime.IModule.configNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Ereadonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D+%3D+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econst%3C%2Fspan%3E+%3Cgo%3EIntrinsicsSupport.%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopMeta>
            </decl>
            <decl spacer='1'/>
            <decl spacer='1'/>
            <decl kind='config' name='common$' anchor='common$' altext='ti.sysbios.family.c62.IntrinsicsSupport.common$' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='Common+module+configuration+parameters' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23common%24%22+title%3D%22xdc.runtime.IModule.common%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3EIntrinsicsSupport.%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
                <docSect name='details'>
                    <docPara content='All+modules+have+this+configuration+parameter.++Its+name%0A++contains+the+%27%24%27+character+to+ensure+it+does+not+conflict+with%0A++configuration+parameters+declared+by+the+module.++This+allows%0A++new+configuration+parameters+to+be+added+in+the+future+without%0A++any+chance+of+breaking+existing+modules.'/>
                </docSect>
            </decl>
            <decl kind='config' name='rovShowRawTab$' anchor='rov.Show.Raw.Tab$' altext='ti.sysbios.family.c62.IntrinsicsSupport.rovShowRawTab$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23rov.Show.Raw.Tab%24%22+title%3D%22xdc.runtime.IModule.rovShowRawTab%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3EIntrinsicsSupport.%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%3C%2Fi%3E+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='viewNameMap$' anchor='view.Name.Map$' altext='ti.sysbios.family.c62.IntrinsicsSupport.viewNameMap$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='Specifies+the+ROV+views+for+the+module' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23view.Name.Map%24%22+title%3D%22xdc.runtime.IModule.viewNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3EIntrinsicsSupport.%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
            </decl>
        </group>
        <group name='module-wide data'>
        </group>
        <group name='module-wide functions'>
            <decl kind='fxn' name='maxbit' anchor='maxbit' altext='ti.sysbios.family.c62.IntrinsicsSupport.maxbit' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='Returns+bit+number+of+most+significant+%271%27+in+bits+argument.%0A++Must+be+called+with+non+zero+bits+argument' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FIIntrinsicsSupport.html%23maxbit%22+title%3D%22ti.sysbios.interfaces.IIntrinsicsSupport.maxbit%22%3EIIntrinsicsSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Emaxbit%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Ebits%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_maxbit%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Ebits%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl spacer='1'/>
        </group>
        <group name='module-wide built-ins'>
            <synopTarg>
                <line tab='0' comment='Get+this+module%27s+unique+id' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Module.Id%22+title%3D%22xdc.runtime.Types.ModuleId%22%3ETypes_ModuleId%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_id%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+if+this+module+has+completed+startup' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_startupDone%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='The+heap+from+which+this+module+allocates+memory' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIHeap.html%23per-instance_object_types%22+title%3D%22xdc.runtime.IHeap.Handle%22%3EIHeap_Handle%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_heap%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+whether+this+module+has+a+diagnostics+mask' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_hasMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Returns+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_getMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Set+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EIntrinsicsSupport_Module_setMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3Emask%3C%2Fspan%3E+%29%3B'/>
            </synopTarg>
        </group>
    </unit>
    <unit name='TaskSupport' kind='module' nodoc='0' metaonly='0' summary='C64+Task+Support+Module' inherits='ti.sysbios.interfaces.ITaskSupport'>
        <synopSpec>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Epackage%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Ffamily%2Fc62%2Fpackage.html%22+title%3D%22ti.sysbios.family.c62%22%3Eti.sysbios.family.c62%3C%2Fa%3E%3B'/>
            <line blank='1' always='0'/>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport%3C%2Fspan%3E%3C%2Fgo%3E%3Cspan+class%3D%22xdoc-kw1%22%3E+inherits+%3C%2Fspan%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%22+title%3D%22ti.sysbios.interfaces.ITaskSupport%22%3EITaskSupport%3C%2Fa%3E+%7B'/>
            <line tab='0' content='%7D'/>
        </synopSpec>
        <specInfo>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emodule%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport%3C%2Fspan%3E%3C%2Fgo%3E+%7B%3Cb%3E%26nbsp%3B%26nbsp%3B...%3C%2Fb%3E'/>
            <line tab='0' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%22+title%3D%22ti.sysbios.interfaces.ITaskSupport%22%3Eti.sysbios.interfaces.ITaskSupport%3C%2Fa%3E'/>
            <line tab='1' comment='inherits+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%22+title%3D%22xdc.runtime.IModule%22%3Exdc.runtime.IModule%3C%2Fa%3E'/>
        </specInfo>
        <synopMeta>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Evar%3C%2Fspan%3E+TaskSupport+%3D+%3Cspan+class%3D%22xdoc-kw3%22%3Exdc.useModule%3C%2Fspan%3E%28%3Cspan+class%3D%22xdoc-id%22%3E%27ti.sysbios.family.c62.TaskSupport%27%3C%2Fspan%3E%29%3B'/>
        </synopMeta>
        <synopTarg>
            <line tab='0' content='%3Cspan+class%3D%22xdoc-kw3%22%3E%23include%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3E%26lt%3Bti%2Fsysbios%2Ffamily%2Fc62%2FTaskSupport.h%26gt%3B%3C%2Fspan%3E'/>
        </synopTarg>
        <group name='local proxy modules'>
        </group>
        <group name='module-wide constants &amp; types'>
            <decl spacer='1'/>
            <decl kind='typedef' name='FuncPtr' anchor='.Func.Ptr' altext='ti.sysbios.family.c62.TaskSupport.FuncPtr' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23.Func.Ptr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.FuncPtr%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Etypedef%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%28*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EFuncPtr%3C%2Fspan%3E%3C%2Fgo%3E%29%28%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Etypedef%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%28*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_FuncPtr%3C%2Fspan%3E%3C%2Fgo%3E%29%28%29%3B'/>
                </synopTarg>
            </decl>
        </group>
        <group name='module-wide config parameters'>
            <decl kind='config' name='defaultStackSize' anchor='default.Stack.Size' altext='ti.sysbios.family.c62.TaskSupport.defaultStackSize' nodoc='0' external='1' overrides='1' readonly='1' instance='0' summary='default+Task+stack+size' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23default.Stack.Size%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.defaultStackSize%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eoverride+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Ereadonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EdefaultStackSize%3C%2Fspan%3E%3C%2Fgo%3E+%3D+2048%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econst%3C%2Fspan%3E+%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EdefaultStackSize%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%3C%2Fi%3E+2048%3B'/>
                </synopMeta>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eextern+const%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_defaultStackSize%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopTarg>
            </decl>
            <decl kind='config' name='stackAlignment' anchor='stack.Alignment' altext='ti.sysbios.family.c62.TaskSupport.stackAlignment' nodoc='0' external='1' overrides='1' readonly='1' instance='0' summary='required+stack+alignment+%28in+MAUs%29' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23stack.Alignment%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.stackAlignment%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eoverride+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Ereadonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EstackAlignment%3C%2Fspan%3E%3C%2Fgo%3E+%3D+8%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econst%3C%2Fspan%3E+%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EstackAlignment%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%3C%2Fi%3E+8%3B'/>
                </synopMeta>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Eextern+const%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_stackAlignment%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopTarg>
            </decl>
            <decl spacer='1'/>
            <decl kind='config' name='configNameMap$' anchor='config.Name.Map$' altext='ti.sysbios.family.c62.TaskSupport.configNameMap$' nodoc='1' external='1' overrides='0' readonly='1' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23config.Name.Map%24%22+title%3D%22xdc.runtime.IModule.configNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Ereadonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D+%3D+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Econst%3C%2Fspan%3E+%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EconfigNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%255B'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FMemory%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.instanceHeap%2522%252C'/>
                    <line tab='4' content='%2522common%2524.instanceSection%2522%252C'/>
                    <line tab='4' content='%2522common%2524.memoryPolicy%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedModule%2522%252C'/>
                    <line tab='4' content='%2522common%2524.namedInstance%2522%252C'/>
                    <line tab='4' content='%2522common%2524.fxntab%2522%252C'/>
                    <line tab='4' content='%2522common%2524.romPatchTable%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FDiagnostics%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.logger%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ASSERT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ENTRY%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_EXIT%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INTERNAL%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_LIFECYCLE%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_STATUS%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER1%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER2%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER3%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER4%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER5%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_USER6%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_INFO%2522%252C'/>
                    <line tab='4' content='%2522common%2524.diags_ANALYSIS%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FConcurrency%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522common%2524.gate%2522%252C'/>
                    <line tab='4' content='%2522common%2524.gateParams%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FLog%2BEvents%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Log.Event%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FAsserts%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Assert.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522module%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D%252C'/>
                    <line tab='1' content='%255B'/>
                    <line tab='2' content='%2522xdc.runtime%252FErrors%2522%252C'/>
                    <line tab='2' content='%257B'/>
                    <line tab='3' content='viewType%253A%2B%2522instance%2522%252C'/>
                    <line tab='3' content='fields%253A%2B%255B'/>
                    <line tab='4' content='%2522Error.Id%2522'/>
                    <line tab='3' content='%255D'/>
                    <line tab='2' content='%257D'/>
                    <line tab='1' content='%255D'/>
                    <line tab='0' content='%255D%3B'/>
                </synopMeta>
            </decl>
            <decl spacer='1'/>
            <decl spacer='1'/>
            <decl kind='config' name='common$' anchor='common$' altext='ti.sysbios.family.c62.TaskSupport.common$' nodoc='0' external='1' overrides='0' readonly='0' instance='0' summary='Common+module+configuration+parameters' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23common%24%22+title%3D%22xdc.runtime.IModule.common%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3Ecommon%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Common%24%22+title%3D%22xdc.runtime.Types.Common%24%22%3ETypes.Common%24%3C%2Fa%3E%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
                <docSect name='details'>
                    <docPara content='All+modules+have+this+configuration+parameter.++Its+name%0A++contains+the+%27%24%27+character+to+ensure+it+does+not+conflict+with%0A++configuration+parameters+declared+by+the+module.++This+allows%0A++new+configuration+parameters+to+be+added+in+the+future+without%0A++any+chance+of+breaking+existing+modules.'/>
                </docSect>
            </decl>
            <decl kind='config' name='rovShowRawTab$' anchor='rov.Show.Raw.Tab$' altext='ti.sysbios.family.c62.TaskSupport.rovShowRawTab$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23rov.Show.Raw.Tab%24%22+title%3D%22xdc.runtime.IModule.rovShowRawTab%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3ErovShowRawTab%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%3C%2Fi%3E+%253Cspan%2Bclass%253D%2522xdoc-kw2%2522%253Etrue%253C%252Fspan%253E%3B'/>
                </synopMeta>
            </decl>
            <decl kind='config' name='viewNameMap$' anchor='view.Name.Map$' altext='ti.sysbios.family.c62.TaskSupport.viewNameMap$' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='Specifies+the+ROV+views+for+the+module' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIModule.html%23view.Name.Map%24%22+title%3D%22xdc.runtime.IModule.viewNameMap%24%22%3EIModule%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw1%22%3Econfig%3C%2Fspan%3E+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EviewNameMap%24%3C%2Fspan%3E%3C%2Fgo%3E+%3D+%3Ci%3E%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.View.Info%22+title%3D%22xdc.runtime.Types.ViewInfo%22%3ETypes.ViewInfo%3C%2Fa%3E%5B%3Cspan+class%3D%22xdoc-kw1%22%3Estring%3C%2Fspan%3E%5D%3C%2Fi%3E+%3Cspan+class%3D%22xdoc-kw2%22%3Eundefined%3C%2Fspan%3E%3B'/>
                </synopMeta>
            </decl>
        </group>
        <group name='module-wide data'>
        </group>
        <group name='module-wide functions'>
            <decl kind='fxn' name='checkStack' anchor='check.Stack' altext='ti.sysbios.family.c62.TaskSupport.checkStack' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23check.Stack%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.checkStack%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcheckStack%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EChar%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Esize%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_checkStack%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EChar%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Esize%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='getCheckValueAddr' anchor='get.Check.Value.Addr' altext='ti.sysbios.family.c62.TaskSupport.getCheckValueAddr' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23get.Check.Value.Addr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.getCheckValueAddr%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EgetCheckValueAddr%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcurTask%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_getCheckValueAddr%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcurTask%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='getDefaultStackSize' anchor='get.Default.Stack.Size' altext='ti.sysbios.family.c62.TaskSupport.getDefaultStackSize' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23get.Default.Stack.Size%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.getDefaultStackSize%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EgetDefaultStackSize%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_getDefaultStackSize%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='getStackAlignment' anchor='get.Stack.Alignment' altext='ti.sysbios.family.c62.TaskSupport.getStackAlignment' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23get.Stack.Alignment%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.getStackAlignment%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EgetStackAlignment%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EUInt%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_getStackAlignment%3C%2Fspan%3E%3C%2Fgo%3E%28++%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='stackUsed' anchor='stack.Used' altext='ti.sysbios.family.c62.TaskSupport.stackUsed' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23stack.Used%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.stackUsed%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EstackUsed%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EChar%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Esize%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_stackUsed%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EChar%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Esize%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='start' anchor='start' altext='ti.sysbios.family.c62.TaskSupport.start' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23start%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.start%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estart%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcurTask%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23.Func.Ptr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.FuncPtr%22%3EITaskSupport.FuncPtr%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eenter%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23.Func.Ptr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.FuncPtr%22%3EITaskSupport.FuncPtr%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eexit%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FError.html%23.Block%22+title%3D%22xdc.runtime.Error.Block%22%3EError.Block%3C%2Fa%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eeb%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_start%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EcurTask%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23.Func.Ptr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.FuncPtr%22%3EITaskSupport_FuncPtr%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eenter%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23.Func.Ptr%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.FuncPtr%22%3EITaskSupport_FuncPtr%3C%2Fa%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eexit%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FError.html%23.Block%22+title%3D%22xdc.runtime.Error.Block%22%3EError_Block%3C%2Fa%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eeb%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl kind='fxn' name='swap' anchor='swap' altext='ti.sysbios.family.c62.TaskSupport.swap' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23swap%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.swap%22%3EITaskSupport%3C%2Fa%3E'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Eswap%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EoldtskContext%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EnewtskContext%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopTarg>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_swap%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EoldtskContext%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cspan+class%3D%22xdoc-kw2%22%3EPtr%3C%2Fspan%3E%26nbsp%3B*%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EnewtskContext%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopTarg>
            </decl>
            <decl spacer='1'/>
            <decl kind='fxn' name='getCallStack$view' anchor='get.Call.Stack$view' altext='ti.sysbios.family.c62.TaskSupport.getCallStack$view' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23get.Call.Stack%24view%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.getCallStack%24view%22%3EITaskSupport%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cgo%3E%3Cspan+class%3D%22xdoc-kw1%22%3Efunction+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-id%22%3EgetCallStack%24view%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EtaskRawView%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EtaskState%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EthreadType%3C%2Fspan%3E%3C%2Fgo%3E+%29%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EgetCallStack%24view%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EAny%3C%2Fspan%3E%3C%2Fi%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EtaskRawView%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EAny%3C%2Fspan%3E%3C%2Fi%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EtaskState%3C%2Fspan%3E%3C%2Fgo%3E%2C+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EAny%3C%2Fspan%3E%3C%2Fi%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EthreadType%3C%2Fspan%3E%3C%2Fgo%3E+%29+%3Ci%3Ereturns%3C%2Fi%3E+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EAny%3C%2Fspan%3E%3C%2Fi%3E'/>
                </synopMeta>
            </decl>
            <decl kind='fxn' name='stackUsed$view' anchor='stack.Used$view' altext='ti.sysbios.family.c62.TaskSupport.stackUsed$view' nodoc='1' external='1' overrides='0' readonly='0' instance='0' summary='' origin='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fti%2Fsysbios%2Finterfaces%2FITaskSupport.html%23stack.Used%24view%22+title%3D%22ti.sysbios.interfaces.ITaskSupport.stackUsed%24view%22%3EITaskSupport%3C%2Fa%3E' metaonly='1'>
                <synopSpec>
                    <line tab='0' content='%3Cspan+class%3D%22xdoc-kw1%22%3Emetaonly+%3C%2Fspan%3E%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3EstackUsed%24view%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EUInt8%3C%2Fspan%3E%26nbsp%3B%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E%5B%3Cspan+class%3D%22xdoc-kw2%22%3E%3C%2Fspan%3E%5D+%29%3B'/>
                </synopSpec>
                <synopMeta>
                    <line tab='0' content='%3Cgo%3ETaskSupport.%3Cspan+class%3D%22xdoc-id%22%3EstackUsed%24view%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3EUInt8%3C%2Fspan%3E%5B%3Cspan+class%3D%22xdoc-kw2%22%3E%3C%2Fspan%3E%5D%3C%2Fi%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3Estack%3C%2Fspan%3E%3C%2Fgo%3E+%29+%3Ci%3Ereturns%3C%2Fi%3E+%3Ci%3E%3Cspan+class%3D%22xdoc-kw2%22%3ESizeT%3C%2Fspan%3E%3C%2Fi%3E'/>
                </synopMeta>
            </decl>
        </group>
        <group name='module-wide built-ins'>
            <synopTarg>
                <line tab='0' comment='Get+this+module%27s+unique+id' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FTypes.html%23.Module.Id%22+title%3D%22xdc.runtime.Types.ModuleId%22%3ETypes_ModuleId%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_id%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+if+this+module+has+completed+startup' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_startupDone%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='The+heap+from+which+this+module+allocates+memory' content='%3Ca+class%3D%22xdoc-link%22+href%3D%22..%2F..%2F..%2F..%2Fxdc%2Fruntime%2FIHeap.html%23per-instance_object_types%22+title%3D%22xdc.runtime.IHeap.Handle%22%3EIHeap_Handle%3C%2Fa%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_heap%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Test+whether+this+module+has+a+diagnostics+mask' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBool%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_hasMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Returns+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_getMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%29%3B'/>
                <line blank='1' always='0'/>
                <line tab='0' comment='Set+the+diagnostics+mask+for+this+module' content='%3Cspan+class%3D%22xdoc-kw2%22%3EVoid%3C%2Fspan%3E+%3Cgo%3E%3Cspan+class%3D%22xdoc-id%22%3ETaskSupport_Module_setMask%3C%2Fspan%3E%3C%2Fgo%3E%28+%3Cspan+class%3D%22xdoc-kw2%22%3EBits16%3C%2Fspan%3E+%3Cspan+class%3D%22xdoc-id%22%3Emask%3C%2Fspan%3E+%29%3B'/>
            </synopTarg>
        </group>
    </unit>
    <docSect name='details'>
        <docPara content='The+link+below+provides+SYS%2FBIOS+C6x+register+usage+information%3A'/>
        <docPara content='%3Ca+class%3D%22xdoc-linkFile%22+href%3D%22.%2Fdoc-files%2Fc6xregconv.html%22+title%3D%22.%2Fdoc-files%2Fc6xregconv.html%22%3ESYS%2FBIOS+C6x+Register+Usage%3C%2Fa%3E'/>
    </docSect>
</package>
